List recipients
curl --request GET \
--url https://api.talescria.com/v1/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"merchantId": "<string>",
"environment": "test",
"recipients": [
{
"id": "rcp_9f2c1e4a7b8d4e0f9a1b2c3d4e5f6071",
"type": "individual",
"displayName": "<string>",
"relationship": "vendor",
"email": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>"
},
"createdAt": 123,
"firstName": "<string>",
"lastName": "<string>",
"legalName": "<string>",
"tradingName": "<string>",
"phone": "<string>",
"identification": [
{
"type": "passport",
"issuingCountry": "GB",
"last4": "5678"
}
],
"destinations": [
{
"id": "<string>",
"method": "bank_transfer",
"currency": "<string>",
"scheme": "<string>",
"label": "HSBC",
"last4": "0101",
"routing": "40-12-76"
}
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Recipients
List recipients
Your recipients, oldest first.
destinations is not included in the list. Fetch a single recipient to see where they can be paid.
Requires the recipients:read scope.
GET
/
v1
/
recipients
List recipients
curl --request GET \
--url https://api.talescria.com/v1/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"merchantId": "<string>",
"environment": "test",
"recipients": [
{
"id": "rcp_9f2c1e4a7b8d4e0f9a1b2c3d4e5f6071",
"type": "individual",
"displayName": "<string>",
"relationship": "vendor",
"email": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>"
},
"createdAt": 123,
"firstName": "<string>",
"lastName": "<string>",
"legalName": "<string>",
"tradingName": "<string>",
"phone": "<string>",
"identification": [
{
"type": "passport",
"issuingCountry": "GB",
"last4": "5678"
}
],
"destinations": [
{
"id": "<string>",
"method": "bank_transfer",
"currency": "<string>",
"scheme": "<string>",
"label": "HSBC",
"last4": "0101",
"routing": "40-12-76"
}
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}